package nemo.swingui;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import nemo.model.Nemo;

public class Editor extends Nemo implements ActionListener {
	private String fileName;

	public static void main(String[] args) {
		if (args.length != 3) {
			System.out.println(": Editor ϸ ټ ĭ");
			System.exit(1);
		}
		new Editor(args[0], Integer.parseInt(args[1]),
			Integer.parseInt(args[2]));
	}

	public Editor(String fileName, int rows, int cols) {
		super(rows, cols);

		this.fileName = fileName;
		Picture picture = new Picture(this);
		JButton button = new JButton("");
		button.addActionListener(this);
		JFrame frame = new JFrame("");
		frame.getContentPane().add(picture, BorderLayout.CENTER);
		frame.getContentPane().add(button, BorderLayout.NORTH);
		frame.pack();
		frame.setVisible(true);
	}

	public void actionPerformed(ActionEvent ev) {
		FileWriter out = null;
		makeNumbers();
		try {
			out = new FileWriter(fileName);
		}
		catch (IOException e) {
			e.printStackTrace();
		}
		save(out);
		try {
			out.close();
		}
		catch (IOException e) {
			e.printStackTrace();
		}

		System.exit(1);
	}

	public boolean finished() {
		return false;
	}
}
