package nemo.model;

import java.util.Vector;

public class Numbers {
	private Vector number = new Vector();

	public int size() {
		return number.size();
	}

	public void add(int n) {
		if (n < 1)
			return;
		number.add(new Integer(n));
	}

	public int get(int i) {
		return (Integer) number.get(i);
	}

	public boolean equals(Numbers numbers) {
		if (numbers.size() != size())
			return false;
		for (int i = 0; i < size(); i++) {
			if (numbers.get(i) != get(i))
				return false;
		}
		return true;
	}

	public String toString() {
		String s = "";
		if (size() > 0)
			s += get(0);
		for (int i = 1; i < size(); i++)
			s += " " + get(i);
		return s;
	}

	public int sum() {
		int result = 0;
		for (int i = 0; i < size(); i++) {
			result += get(i);
		}
		return result;
	}

	public int[] intArray() {
		int[] result = new int[size()];
		for (int i = 0; i < result.length; ++i) {
			result[i] = get(i);
		}
		return result;
	}
}
