package nemo.swingui;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import nemo.model.RandomNemo;

public class RandomNemoApplet extends JApplet implements ActionListener {
	private RandomNemo nemo;

	public void actionPerformed(ActionEvent e) {
		nemo.newGame();
		// getRootPane().invalidate();
		repaint();
	}

	public void init() {
		try {
			nemo = new RandomNemo(8, 8, 54);
			nemo.newGame();
		}
		catch (Exception e) {
			e.printStackTrace();
			System.exit(1);
		}

		Container contentPane = getContentPane();
		GridBagLayout gridbag = new GridBagLayout();
		contentPane.setLayout(gridbag);
		GridBagConstraints c = new GridBagConstraints();

		JButton button = new JButton("");
		button.addActionListener(this);
		c.gridwidth = 2;
		gridbag.setConstraints(button, c);
		contentPane.add(button);

		ColLabels colLabels = new ColLabels(nemo);
		c.gridwidth = 1;
		c.gridx = 1;
		c.gridy = 1;
		gridbag.setConstraints(colLabels, c);
		contentPane.add(colLabels);

		Picture picture = new Picture(nemo);
		c.gridy = 2;
		gridbag.setConstraints(picture, c);
		contentPane.add(picture);

		RowLabels rowLabels = new RowLabels(nemo);
		c.gridx = 0;
		gridbag.setConstraints(rowLabels, c);
		contentPane.add(rowLabels);

		// setVisible(true);
	}
}
